apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: front
  name: front
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: front
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: front
    spec:
      containers:
      - image: gitlab.labranet.jamk.fi:4567/conduitmiau/kubetest:front
       
        env:
          - name: API_ROOT
            valueFrom:
              configMapKeyRef:
                name: front-configmap
                key: API_ROOT

        imagePullPolicy: Always
        name: front
        resources:
            requests:
              cpu: '1'
              memory: 1000Mi
        
        ports:
          - containerPort: 4100
